# List Document Fields Return the list of fields for a particular document. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "Document Fields", "description": "Operations for retrieving and managing fields within a document." } ], "paths": { "/public/v1/documents/{id}/fields": { "get": { "summary": "List Document Fields", "description": "Return the list of fields for a particular document.", "operationId": "listDocumentFields", "tags": [ "Document Fields" ], "parameters": [ { "name": "id", "in": "path", "description": "Document UUID.", "schema": { "type": "string" }, "required": true, "example": "BhVzRcxH9Z2LgfPPGXFUBa" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ListDocumentFieldsResponse" }, "examples": { "List Document Fields": { "value": { "fields": [ { "uuid": "d6948f39-612a-4626-a439-ca9e0cbbda7c", "name": "Text", "title": "", "value": "", "assigned_to": { "id": "", "first_name": "", "last_name": "", "email": "", "phone": "", "recipient_type": "", "has_completed": false, "signing_order": null, "delivery_methods": {}, "redirect": {}, "type": "recipient" }, "field_id": "text_d6948f39-612a-4626-a439-ca9e0cbbda7c", "type": "text", "settings": { "required": true, "placeholder": "Enter value", "masked": false, "multiline": true }, "layout": { "page": 1, "position": { "offset_x": 1, "offset_y": 1, "anchor_point": "topleft" }, "style": { "width": 1, "height": 1 } }, "merge_field": null } ] } } } } } }, "401": { "$ref": "#/components/responses/401" }, "404": { "$ref": "#/components/responses/404" }, "409": { "$ref": "#/components/responses/409" }, "429": { "$ref": "#/components/responses/429" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "FieldTypeEnum": { "type": "string", "enum": [ "checkbox", "collect_file", "date", "dropdown", "initials", "payment_details", "radio_buttons", "signature", "stamp", "text" ], "example": "payment_details" }, "DocumentFieldAnchorPointEnum": { "type": "string", "enum": [ "topleft", "topright", "bottomleft", "bottomright" ], "example": "topleft" }, "DocumentFieldsLayout": { "type": "object", "properties": { "page": { "type": "integer" }, "position": { "type": "object", "properties": { "offset_x": { "type": "number", "minimum": 0 }, "offset_y": { "type": "number", "minimum": 0 }, "anchor_point": { "$ref": "#/components/schemas/DocumentFieldAnchorPointEnum" } }, "required": [ "offset_x", "offset_y", "anchor_point" ] }, "style": { "type": "object", "properties": { "width": { "type": "integer", "minimum": 0 }, "height": { "type": "integer", "minimum": 0 } }, "required": [ "width", "height" ] } }, "required": [ "page", "position", "style" ] }, "DocumentFieldsField": { "type": "object", "properties": { "uuid": { "type": "string", "format": "uuid", "nullable": false }, "name": { "type": "string" }, "title": { "type": "string" }, "value": {}, "field_id": { "type": "string" }, "type": { "$ref": "#/components/schemas/FieldTypeEnum" }, "placeholder": { "type": "string" }, "assigned_to": { "type": "object", "properties": { "id": { "type": "string" }, "first_name": { "type": "string" }, "last_name": { "type": "string" }, "email": { "type": "string" }, "phone": { "type": "string" }, "recipient_type": { "type": "string" }, "has_completed": { "type": "boolean" }, "signing_order": {}, "delivery_methods": {}, "redirect": {}, "type": { "type": "string" } } }, "layout": { "$ref": "#/components/schemas/DocumentFieldsLayout" }, "section_uuid": { "type": "string", "format": "uuid" } } }, "ListDocumentFieldsResponse": { "type": "object", "properties": { "fields": { "type": "array", "items": { "$ref": "#/components/schemas/DocumentFieldsField" } } } } }, "responses": { "401": { "description": "Authentication error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "authentication_error" }, "detail": { "type": "string", "example": "Authentication credentials were not provided." } } } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "request_error" }, "detail": { "type": "string", "example": "Not found" } } } } } }, "409": { "description": "Conflict", "content": { "application/json": { "schema": { "properties": { "id": { "type": "string", "example": "mXpGsEBHdSFW97zKXq75hm" }, "status": { "type": "string", "example": "document.uploaded" }, "info_message": { "type": "string", "example": "Warning - Document status document.uploaded doesn’t mean that the document already exists - processing happens asynchronously. Please follow the documentation section https://developers.pandadoc.com/reference/new-document" } } } } } }, "429": { "description": "Too Many Requests", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "throttled" }, "detail": { "type": "string", "example": "Request was throttled." } } } } } } } } } ```